Description

To build a spring boot config server, the config server utilize Git to read the properties file

That requirement for folder structure is like this:

- create a folder: 'mleb_core’

- inside that mleb_core folder, create a spring boot project call 'bd_config_server'.
- The default package name is 'com.silverlake.ifb.mlebcore’

- use gradle

- JDK 17 and above

Push this 'mleb_core' folder in to Git repo:
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core

History

#1 - 21 August 2023 11:48 PM - David Wong

Manage properties files via GIT

#2 - 21 August 2023 11:49 PM - David Wong

Spring boot microservices modules must be reloaded via online. No downtime.

#3 - 23 August 2023 07:55 PM - Martin Orlando

pushed java project, dockerfile, manifest.yaml for kubernetes

#4 - 24 August 2023 07:25 PM - Martin Orlando

- Status changed from New to Closed

added how-to-deploy.md
